org.springframework.data.relational.core.sql

## Interface UpdateBuilder

    public interface UpdateBuilder

Entry point to construct an `Update` statement.

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `StatementBuilder`

### Nested Class Summary

Nested Classes
`static interface` `UpdateBuilder.BuildUpdate` Interface exposing the `Update` build method.
`static interface` `UpdateBuilder.UpdateAssign` Interface exposing `SET` methods.
`static interface` `UpdateBuilder.UpdateWhere` Interface exposing `WHERE` methods.
`static interface` `UpdateBuilder.UpdateWhereAndOr` Interface exposing `AND`/`OR` combinator methods for `WHERE` `Condition`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdateBuilder.UpdateAssign` `table(Table table)` Configure the `Table` to which the update is applied.

### Method Detail

#### table

    UpdateBuilder.UpdateAssign table(Table table)

Configure the `Table` to which the update is applied.

Parameters:
  `count` - the top count.
Returns:
  `this` `SelectBuilder`.